nyomtató telepítésnél hiányolja a libpng.so.2-t

 ( waxy2 | 2006. május 23., kedd - 18:18 )

Telepítenék egy Canon i250-et Mandriva-ra 2 rpm-et kell felraknom, a bjfilteri250-et és a bjfiltercups-ot, de valahogy az rpm felrakásakor hiányolja a libpng.so.2-t. Hol találom meg ezt? Honnan tudnám ezt a függőséget megszüntetni?

Köszi

waxy2

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

ldconfig -v | grep libpng

nézd meg a kimenetet és másold ide.

--
A nyúl egy igazi jellem. Ott ül a fűben, de akkor sem szívja!

Ez most egy kicsit off:

Nekem is ilyen nyomtatóm van... Gondolom a Canon új-zélandi oldaláról szedted le az rpm-eket.

Szerintem ne sok jót remélj tőle... UHU alatt próbáltam, de még nem sikerült...

Ha sikerül, lehet, hogy fölteszek egy Mandrivát :)

Amúgy, hogy a témához is szóljak, nem hiszem, hogy ne lenne mandriván libpng, de ha nincs, akkor innen lehet leszedni:

http://www.libpng.org/pub/png/libpng.html

Düri

Már Suse 9.1-en nekem ment, csak a vihar tudja már, hogy hogyan sikerült összehoznom akkor...

[root@waxy3 lxuser]# ldconfig -v | grep libpng
libpng.so.3 -> libpng.so.3.1.2.8
libpng12.so.0 -> libpng12.so.0.1.2.8

ahol megtalaltad a libpng.so.3 linket,
ott futtasd ezt a 2 parancsot

ln -s libpng.so.3.1.2.8 libpng.so.2
ldconfig

megvan, de még mindig ugyanaz hiányzik neki...

az ldconfig lefut, de utána az ldconfig -v | grep libpng alapján még mindig nem látom a libpng.so.2-t! Az baj?

Ha csak a libpng t hianyolod, akkor miert kene ujat venni?

ln -s libpng.so.3.1.2.8 libpng.so.2
ldconfig

Ez igy jo, csak ugye fugg attol hogy hova rakod a linket, ezzel igy joesetben lesz egy link a home dir ben azt kesz. Es nodeps el meg amugyis mukodnie kene.

a /usr/lib-ben találtam a libpng.so.3 linket, oda raktam be a libpng.so.2-t is

Hello Polesz!

Megvagyok, most hogyan tovább?

waxy2

hát senki???

:(

ki kéne nyomtatnom néhány meghívót, sürgős lenne...

előre is köszi a segítséget bárkinek!

waxy2

Mi legyen? Eladjam a nyomtatómat? Vagy érdemes még küzdeni, hátha működik linuxon?

Ha a linket megcsináltad és mást nem hiányol a csomag meg lehet próbálni egy
"rpm -ivh 'csomag' --nodeps"

De ez után még be kell állítani...

FC4 alatt működik!

Attila

Attila!

Köszi, eddig ezt nem próbáltam, de most láss csodát, ezzel a módszerrel működik a nyomtató!!! Hurrá!!! Köszi!

waxy2